<?php
/**
 * IMAP ACL Manipulation Plugin
 *
 * Copyright (c) 2003 Samuel Graenacher
 *
 * Licensed under the GNU GPL. For full terms see the file COPYING that came
 * with the Squirrelmail distribution.
 *
 * Written by Samuel Graenacher.
 * Developped for SM version 1.4.1
 *
 * For more licensing (and other) information, see the header of "imapacl.php"
 * $Id$
 */

if (!defined("SM_PATH"))
    define('SM_PATH','../../');

include_once(SM_PATH . 'functions/i18n.php');

IA_init_language();

$labeltable = Array(
    'editrights' => Array(
        'LABEL_FOLDER'      => _("Folder: "),
        'LABEL_USERNAME'    => _("Username: "),
        'LABEL_PERMISSIONS' => _("Permissions: "),
        'LABEL_OTHEROPTIONS'=> _("Other Options: "),
        'LABEL_OORECURSIVE' => _("Set permissions on all subfolders aswell."),
        'LABEL_SETRIGHTS'   => _("Set Rights!"),
        'LABEL_DELETEUSER'  => _("Delete User"),
        'LABEL_CANCEL'      => _("Cancel")
    ),
    'foldermanage_table' => Array(
        'LABEL_USERNAME'    => _("Username")
    ),
    'foldermanage_tablerow' => Array(
        'LABEL_EDIT'        => _("edit"),
        'LABEL_DELETE'      => _("delete"),
        'LABEL_DELETER'     => _("delete recursive")
    )
);

function labeltable_apply(&$ETobject, $page = "") {
    global $labeltable;
    reset($labeltable);

    if ($page != "") {
        // If a certain page is specified, we can lower the translation load.
        reset($labeltable["$page"]);
        while (list($ln, $lc) = each($labeltable["$page"])) {
            $ETobject->assign($ln, $lc);
        }
        return;
    } else {
        while (list($discard, $workpage) = each($labeltable))
            //reset($workpage);
            while (list($ln, $lc) = each($workpage)) {
                $ETobject->assign($ln, $lc);
            }
        return;
    }
}

IA_clean_language();

?>